#ifndef _ARDUINO_H_
#define _ARDUINO_H_

#include <stdint.h>
#include <stdbool.h>
#include <string.h>
#include <Print.h>
#include <IPAddress.h>
#include <Stream.h>
#include <Client.h>
#include <stubs.h>


typedef uint32_t millis_t;
typedef bool boolean;


millis_t millis();
void yield();


#define pgm_read_byte(addr)   (*(const unsigned char *)(addr))
#define pgm_read_byte_near(addr)  pgm_read_byte(addr)

#endif // _ARDUINO_H_